# Class SectionTypeAttributes

#### Hierarchy (view full)

- XmlAttributeComponent<{
  val: typeof SectionType[keyof typeof SectionType];
  }>
  - SectionTypeAttributes

- Defined in file/document/body/section-properties/properties/section-type.ts:27

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new SectionTypeAttributes(root): SectionTypeAttributes

- #### Parameters

  - root: {
    val: "continuous" | "nextPage" | "nextColumn" | "evenPage" | "oddPage";
    }

    - ##### `Readonly` val: "continuous" | "nextPage" | "nextColumn" | "evenPage" | "oddPage"

  #### Returns SectionTypeAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:13

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:17

Generated using TypeDoc